#!/bin/bash

CHAPTER=$1
NAME=ubunchu-$CHAPTER
DIR=Chapter$CHAPTER

cd $DIR

rm $NAME-rtl.pdf $NAME-ltr.pdf $NAME.tar.bz2

cd rtl
ls *-*.svg | xargs -i% inkscape -e %.png %
convert -quality 90 -verbose *.png ../$NAME-rtl.pdf
#xml2po --output=../$NAME.pot *-*.svg
rm *.png

cd ../ltr
ls *-*.svg | xargs -i% inkscape -e %.png %
convert -quality 90 -verbose *.png ../$NAME-ltr.pdf
rm *.png

cd ..

tar cjvf $NAME.tar.bz2 ltr/*.svg rtl/*.svg ../make-book.sh *.pot ltr/pages/*.png rtl/pages/*.png ltr/sources/*.xcf rtl/sources/*.xcf *.txt ../*.txt
